query.c File Reference
RPMCLI.

Display tag values from package metadata. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <poptIO.h>`
`#include <rpmtag.h>`
`#include "rpmdb.h"`
`#include "rpmfi.h"`
`#include "rpmts.h"`
`#include "rpmgi.h"`
`#include "manifest.h"`
`#include "misc.h"`
`#include <rpmcli.h>`
`#include "debug.h"`
Include dependency graph for query.c:

Go to the source code of this file.

## Macros

#define | PATH_MAX 255
#define | _RPMTS_INTERNAL /* XXX for ts->rdb */

## Functions

static void | printFileInfo (char *te, const char *name, size_t size, unsigned short mode, unsigned int mtime, unsigned short rdev, unsigned int nlink, const char *owner, const char *group, const char *linkto)
static const char * | queryHeader (Header h, const char *qfmt)
static void | flushBuffer (char **tp, char **tep, int nonewline)
int | showQueryPackage (QVA_t qva, rpmts ts, Header h)
| Display results of package query. More...
static int | rpmgiShowMatches (QVA_t qva, rpmts ts)
int | rpmcliShowMatches (QVA_t qva, rpmts ts)
| Display query/verify information for each header in iterator. More...
static unsigned char | nibble (char c)
| Convert hex to binary nibble. More...
int | rpmQueryVerify (QVA_t qva, rpmts ts, const char *arg)
| Common query/verify source interface, called once for each CLI arg. More...
int | rpmcliArgIter (rpmts ts, QVA_t qva, ARGV_t argv)
int | rpmcliQuery (rpmts ts, QVA_t qva, const char **argv)
| Display package information. More...

## Detailed Description

Display tag values from package metadata.

Definition in file query.c.

## Macro Definition Documentation

#define _RPMTS_INTERNAL /* XXX for ts->rdb */

Definition at line 22 of file query.c.

#define PATH_MAX 255

Definition at line 10 of file query.c.

Referenced by doFoo(), doLookup(), Realpath(), rpmdbURIPath(), and rpmQueryVerify().

## Function Documentation

static void flushBuffer | ( | char ** | tp,
|  | char ** | tep,
|  | int | nonewline
| ) |  |

static

Definition at line 155 of file query.c.

References rpmlog(), and RPMLOG_NOTICE.

Referenced by showQueryPackage().

static unsigned char nibble | ( | char | c | ) |

inline static

Convert hex to binary nibble.

Parameters

  c | hex character

Returns
  binary nibble

Definition at line 441 of file query.c.

Referenced by rpmQueryVerify().

static void printFileInfo | ( | char * | te,
|  | const char * | name,
|  | size_t | size,
|  | unsigned short | mode,
|  | unsigned int | mtime,
|  | unsigned short | rdev,
|  | unsigned int | nlink,
|  | const char * | owner,
|  | const char * | group,
|  | const char * | linkto
| ) |  |

static

Definition at line 37 of file query.c.

References _free(), alloca(), L, name, rpmPermsString(), and S_ISLNK.

Referenced by showQueryPackage().

static const char* queryHeader | ( | Header | h,
|  | const char * | qfmt
| ) |  |

inline static

Definition at line 138 of file query.c.

References _, headerSprintf(), rpmHeaderFormats, rpmlog(), and RPMLOG_ERR.

Referenced by showQueryPackage().

int rpmcliArgIter | ( | rpmts | ts,
|  | QVA_t | qva,
|  | ARGV_t | argv
| ) |  |

Definition at line 736 of file query.c.

References FTS_COMFOLLOW, FTS_LOGICAL, FTS_NOSTAT, giFlags, rpmQVKArguments_s::qva_gi, rpmQVKArguments_s::qva_rc, rpmQVKArguments_s::qva_source, RPMDBI_ARGLIST, RPMDBI_FTSWALK, RPMDBI_HDLIST, RPMDBI_LABEL, RPMDBI_PACKAGES, RPMGI_NOGLOB, RPMGI_NOHEADER, RPMGI_NONE, RPMGI_TSADD, rpmgiFree(), rpmgiGetFlags(), rpmgiHdrPath(), rpmgiNew(), rpmgiNext(), rpmgiSetArgs(), rpmioFtsOpts, rpmQueryVerify(), RPMQV_ALL, RPMQV_FTSWALK, RPMQV_HDLIST, RPMQV_RPM, RPMRC_NOTFOUND, RPMRC_OK, and rpmtsEmpty().

Referenced by rpmcliQuery(), and rpmcliVerify().

static int rpmgiShowMatches | ( | QVA_t | qva,
|  | rpmts | ts
| ) |  |

static

Definition at line 388 of file query.c.

References rpmQVKArguments_s::qva_gi, rpmQVKArguments_s::qva_showPackage, rpmQVKArguments_s::qva_source, rpmdbCheckSignals(), rpmgiHeader(), rpmgiNext(), RPMQV_DBOFFSET, RPMRC_FAIL, RPMRC_NOTFOUND, and RPMRC_OK.

Referenced by rpmQueryVerify().